---
title: CCPA delete request
slug: data-platform/api/ccpa-delete-request
docTags: 
createdAt: 2026-09-02T14:41:00.110Z
---

{
  "id": "M5bkoyPI70z52f2cULQON",
  "type": "api-oas-v2",
  "data": {
    "method": "POST",
    "url": "https://api.us1.odp.optimizely.com/v3/compliance/ccpa/delete",
    "servers": [
      {
        "url": "https://api.us1.odp.optimizely.com/v3/compliance/ccpa/delete",
        "description": "United States"
      },
      {
        "url": "https://api.eu1.odp.optimizely.com/v3/compliance/ccpa/delete",
        "description": "Europe"
      },
      {
        "url": "https://api.au1.odp.optimizely.com/v3/compliance/ccpa/delete",
        "description": "Asia-Pacific"
      }
    ],
    "name": "CCPA delete request",
    "description": "Send a CCPA compliance delete request for a customer.",
    "contentType": "application/json",
    "request": {
      "pathParameters": [],
      "headerParameters": [
        {
          "name": "accept",
          "type": "string",
          "kind": "optional",
          "description": "Generated from available response content types",
          "enum": [
            "application/json"
          ],
          "default": "application/json"
        }
      ],
      "queryParameters": [],
      "bodyDataParameters": [
        {
          "kind": "required",
          "name": "body",
          "type": "array",
          "description": "",
          "customType": "IdentifierRequestObject[]",
          "schema": [
            {
              "name": "requester",
              "kind": "required",
              "type": "string",
              "description": "The email address of the requester for audit purposes.",
              "example": "brand@example.com"
            },
            {
              "name": "identifier_value",
              "kind": "required",
              "type": "string",
              "description": "The value of the identifier to delete or opt out.",
              "example": "johndoe@example.com"
            },
            {
              "name": "identifier_field_name",
              "kind": "required",
              "type": "string",
              "description": "The type of identifier that you are deleting or opting out.",
              "example": "email"
            }
          ],
          "modelRef": "#/components/schemas/IdentifierRequestObject",
          "isExpanded": true
        }
      ],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "x-api-key",
          "name": "x-api-key",
          "kind": "optional",
          "type": "apiKey",
          "in": "header"
        }
      ],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "202",
        "description": "Accepted",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "ComplianceResponseBody",
            "schema": [
              {
                "name": "request_ids",
                "kind": "optional",
                "type": "array",
                "description": "",
                "example": "",
                "itemType": "string",
                "customType": "string[]",
                "itemExample": "",
                "itemDefault": ""
              }
            ],
            "modelRef": "#/components/schemas/ComplianceResponseBody",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "400",
        "description": "Bad Request",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "undefined",
            "example": "{\"title\":\"Bad Request\",\"status\":400,\"timestamp\":\"2018-09-10T21:07:10-05:00\",\"detail\":{\"invalids\":[{\"field\":\"delimiter\",\"reason\":\"Unrecognized delimiter, valid options are comma, tab or pipe\"}]}}",
            "description": "",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "403",
        "description": "Forbidden",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "undefined",
            "example": "{  \"message\": \"Forbidden\"}",
            "description": "",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "404",
        "description": "Not Found",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "undefined",
            "example": "{\"title\":\"Not Found\",\"status\":404,\"timestamp\":\"2018-09-10T21:07:10-05:00\",\"detail\":{\"message\":\"Not found description\"}}",
            "description": "",
            "isExpanded": true
          }
        ]
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "kg4GjWn9UTyQiESNRlnd_",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request POST \\\n     --url https://api.us1.odp.optimizely.com/v3/compliance/ccpa/delete \\\n     --header 'accept: application/json' \\\n     --header 'content-type: application/json' \\\n     --data-raw '[\n     {\n     \"requester\": \"brand@example.com\",\n     \"identifier_value\": \"johndoe@example.com\",\n     \"identifier_field_name\": \"email\"\n     }\n     ]'"
        },
        {
          "id": "NUbwY4Gd-JG4wH1obMRJ7",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\n\nvar raw = JSON.stringify([\n   {\n      \"requester\": \"brand@example.com\",\n      \"identifier_value\": \"johndoe@example.com\",\n      \"identifier_field_name\": \"email\"\n   }\n]);\n\nvar requestOptions = {\n   method: 'POST',\n   headers: myHeaders,\n   body: raw,\n   redirect: 'follow'\n};\n\nfetch(\"https://api.us1.odp.optimizely.com/v3/compliance/ccpa/delete\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "OzOZZUeDYWxk1ML0ym3BC",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://api.us1.odp.optimizely.com/v3/compliance/ccpa/delete\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Post.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\nrequest.body = JSON.dump([\n   {\n      \"requester\": \"brand@example.com\",\n      \"identifier_value\": \"johndoe@example.com\",\n      \"identifier_field_name\": \"email\"\n   }\n])\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "xCKAvBiK3EjUeeR1GjEKW",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://api.us1.odp.optimizely.com/v3/compliance/ccpa/delete\"\n\npayload = json.dumps([\n   {\n      \"requester\": \"brand@example.com\",\n      \"identifier_value\": \"johndoe@example.com\",\n      \"identifier_field_name\": \"email\"\n   }\n])\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json'\n}\n\nresponse = requests.request(\"POST\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "kg4GjWn9UTyQiESNRlnd_"
    },
    "results": {
      "languages": [
        {
          "id": "response-0-202",
          "language": "202",
          "code": "// Accepted\n{\n  \"request_ids\": [\n    \"\"\n  ]\n}"
        },
        {
          "id": "response-1-400",
          "language": "400",
          "code": "// Bad Request\n\"{\\\"title\\\":\\\"Bad Request\\\",\\\"status\\\":400,\\\"timestamp\\\":\\\"2018-09-10T21:07:10-05:00\\\",\\\"detail\\\":{\\\"invalids\\\":[{\\\"field\\\":\\\"delimiter\\\",\\\"reason\\\":\\\"Unrecognized delimiter, valid options are comma, tab or pipe\\\"}]}}\""
        },
        {
          "id": "response-2-403",
          "language": "403",
          "code": "// Forbidden\n\"{  \\\"message\\\": \\\"Forbidden\\\"}\""
        },
        {
          "id": "response-3-404",
          "language": "404",
          "code": "// Not Found\n\"{\\\"title\\\":\\\"Not Found\\\",\\\"status\\\":404,\\\"timestamp\\\":\\\"2018-09-10T21:07:10-05:00\\\",\\\"detail\\\":{\\\"message\\\":\\\"Not found description\\\"}}\""
        }
      ],
      "selectedLanguageId": "response-0-202"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}